GROFF(1)

NAME
groff - front end for the groff document formatting system

SYNOPSIS
groff [ -tpeszaivhblCENRSVXZ ] [ -wname ] [ -Wname ] [ -mname ] [ -Fdir ] [ -Tdev ] [ -ffam ] [ -Mdir ] [ -dcs ] [ -rcn ] [ -nnum ] [ -olist ] [ -Parg ] [ files... ]

DESCRIPTION
groff is a front-end to the groff document formatting system. Normally it runs the jtroff program and a postprocessor appropriate for the selected device. Available devices are:

ps  For PostScript printers and previewers

dvi For TeX dvi format

X75 For a 75 dpi X11 previewer

X100
    For a 100dpi X11 previewer

ascii
    For typewriter-like devices

latin1
    For typewriter-like devices using the ISO Latin-1 character set.

nippon
    For typewriter-like devices using the Japanese-EUC character set.

The postprocessor to be used for a device is specified by the postpro command in the device description file. This can be overridden with the -X option.

The default device is ps. It can optionally preprocess with any of jpic, jeqn, jtbl, jrefer, or jsoelim.

Options without an argument can be grouped behind a single -. A filename of - denotes the standard input.

The grog command can be used to guess the correct groff command to use to format a file.

OPTIONS

-h  Print a help message.

-e  Preprocess with jeqn.

-t  Preprocess with jtbl.

-p  Preprocess with jpic.

-s  Preprocess with jsoelim.

-R  Preprocess with jrefer. No mechanism is provided for passing arguments to jrefer because most jrefer options have equivalent commands which can be included in the file. See jrefer(1) for more details.

-v  Make programs run by groff print out their version number.

-V  Print the pipeline on stdout instead of executing it.

-z  Suppress output from jtroff. Only error messages will be printed.

-Z  Do not postprocess the output of jtroff. Normally groff will automatically run the appropriate postprocessor.

-Parg
    Pass arg to the postprocessor. Each argument should be passed with a separate -P option. Note that groff does not prepend - to arg before passing it to the postprocessor.

-l  Send the output to a printer. The command used for this is specified by the print command in the device description file.

-Larg
    Pass arg to the spooler. Each argument should be passed with a separate -L option. Note that groff does not prepend - to arg before passing it to the postprocessor.

-Tdev
    Prepare output for device dev. The default device is ps.

-X  Preview with gxditview instead of using the usual postprocessor. Groff passes gxditview a -printCommand option which will make the Print action do what groff would have done if the -l option had been given. This is unlikely to produce good results except with -Tps.

-N  Don't allow newlines with eqn delimiters. This is the same as the -N option in jeqn.

-S  Safer mode. Pass the -S option to jpic and use the -msafer macros with jtroff.

-a
-b
-i
-C
-E
-wname
-Wname
-mname
-olist
-dcs
-rcn
-Fdir
-Mdir
-ffam
-nnum
    These are as described in jtroff(1).

ENVIRONMENT

GROFF_COMMAND_PREFIX
    If this is set X, then groff will run Xtroff instead of jtroff. This also applies to tbl, pic, eqn, refer and soelim. It does not apply to grops, grodvi, grotty and gxditview.

GROFF_TMAC_PATH
    A colon separated list of directories in which to search for macro files.

GROFF_TYPESETTER
    Default device.

GROFF_FONT_PATH
    A colon separated list of directories in which to search for the devname directory.

PATH
    The search path for commands executed by groff.

GROFF_TMPDIR
    The directory in which temporary files will be created. If this is not set and TMPDIR is set, temporary files will be created in that directory. Otherwise temporary files will be created in /tmp. The grops(1) and jrefer(1) commands can create temporary files.

FILES
/usr/local/share/jgroff/font/devname/DESC Device description file for device name.

/usr/local/share/jgroff/font/devname/F
    Font file for font F of device name.

AUTHOR
James Clark <jjc@jclark.com>

BUGS
Report bugs to bug-groff@prep.ai.mit.edu. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of groff you are using.

COPYRIGHT
Copyright © 1989, 1990, 1991, 1992 Free Software Foundation, Inc.

groff is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

groff is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with groff; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AVAILABILITY
The most recent released version of groff is always available for anonymous ftp from prep.ai.mit.edu (18.71.0.38) in the directory pub/gnu.

SEE ALSO
grog(1), jtroff(1), jtbl(1), jpic(1), jeqn(1), jsoelim(1), jrefer(1), grops(1), grodvi(1), grotty(1), gxditview(1), groff_font(5), groff_out(5), groff_ms(7), me(7), groff_char(7), msafer(7)